Skip to content

Detach a contact from a company

Request

You can detach a company from a single contact.

Security
bearerAuth
Path
contact_idstringrequired

The unique identifier for the contact which is given by Intercom

Example:58a430d35458202d41b1e65b
company_idstringrequired

The unique identifier for the company which is given by Intercom

Example:58a430d35458202d41b1e65b
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X DELETE \
  https://api.intercom.io/contacts/58a430d35458202d41b1e65b/companies/58a430d35458202d41b1e65b \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

Successful

Bodyapplication/json
typestring

Value is company

Value:"company"
Example:"company"
idstring

The Intercom defined id representing the company.

Example:"531ee472cce572a6ec000006"
namestring

The name of the company.

Example:"Blue Sun"
app_idstring

The Intercom defined code of the workspace the company is associated to.

Example:"ecahpwf5"
planobject
company_idstring

The company id you have defined for the company.

Example:"6"
remote_created_atinteger

The time the company was created by you.

Example:1663597223
created_atinteger

The time the company was added in Intercom.

Example:1663597223
updated_atinteger

The last time the company was updated.

Example:1663597223
last_request_atinteger

The time the company last recorded making a request.

Example:1663597223
sizeinteger

The number of employees in the company.

Example:100
websitestring

The URL for the company website.

Example:"https://www.intercom.com"
industrystring

The industry that the company operates in.

Example:"Software"
monthly_spendinteger

How much revenue the company generates for your business.

Example:100
session_countinteger

How many sessions the company has recorded.

Example:100
user_countinteger

The number of users in the company.

Example:100
custom_attributesobject

The custom attributes you have set on the company.

Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
tagsobject

The list of tags associated with the company

segmentsobject

The list of segments associated with the company

notesobject

The list of notes associated with the company

Response
{ "type": "company", "company_id": "1", "id": "6762f0a01bb69f9f2193bb44", "app_id": "this_is_an_id205_that_should_be_at_least_", "name": "company8", "remote_created_at": 1734537376, "created_at": 1734537376, "updated_at": 1734537377, "monthly_spend": 0, "session_count": 0, "user_count": 0, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "plan": {}, "custom_attributes": {} }